<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title dialog-header-spacing">
    {{t('moderate_users.send_invitation')}}
  </h2>
  <form (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color">
      <div class="email-container">
        <mat-form-field class="email">
          <mat-label>{{t('general_forms.email_address')}}</mat-label>
          <input
            matInput
            [formControl]="emailForm"
            type="email">
          <mat-error *ngIf="emailForm.hasError('required')">
            {{t('general_forms.email_address')}}{{t('general_forms.required')}}
          </mat-error>
          <mat-error *ngIf="emailForm.hasError('email')">{{t('general_forms.email_pattern')}}</mat-error>
          <mat-error *ngIf="emailForm.hasError('maxlength')">
            {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
          </mat-error>
        </mat-form-field>
      </div>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit">
        {{t('general_forms.send')}}
      </button>
    </div>
  </form>
</ng-container>
